#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dependent-map
version:              0.4.0.0
visibility:           public
id:                   dependent-map-0.4.0.0-80Jz6e5iyHo4SqZvFdPBv9
key:                  dependent-map-0.4.0.0-80Jz6e5iyHo4SqZvFdPBv9
license:              LicenseRef-OtherLicense
maintainer:           Obsidian Systems, LLC <maintainer@obsidian.systems>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/obsidiansystems/dependent-map
synopsis:             Dependent finite maps (partial dependent products)
description:
    Provides a type called @DMap@ which generalizes
    @Data.Map.Map@, allowing keys to specify the type
    of value that can be associated with them.

category:             Data, Dependent Types
abi:                  fb71473837dbba76b9cedff598628371
exposed:              True
exposed-modules:
    Data.Dependent.Map Data.Dependent.Map.Internal
    Data.Dependent.Map.Lens

hidden-modules:       Data.Dependent.Map.PtrEquality
import-dirs:          /usr/lib/ghc-9.4.8/site-local/dependent-map-0.4.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dependent-map-0.4.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dependent-map-0.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dependent-map
hs-libraries:         HSdependent-map-0.4.0.0-80Jz6e5iyHo4SqZvFdPBv9
depends:
    base-4.17.2.1 constraints-extras-0.4.0.1-ClTxkKHsABJAv7FsGapiI
    containers-0.6.7 dependent-sum-0.7.2.0-5ZQ89WkdwD7308zsMf8CHX

haddock-interfaces:
    /usr/share/doc/haskell-dependent-map/html/dependent-map.haddock

haddock-html:         /usr/share/doc/haskell-dependent-map/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

